//-< ObjectCache.java >----------------------------------------------*--------*
// GOODS                      Version 2.0        (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:     10-Oct-2000  K.A. Knizhnik  * / [] \ *
//                          Last update: 10-Oct-2000  K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Interface for weak object cache
//-------------------------------------------------------------------*--------*
namespace Goods
{
    using System;
	
    /// <summary> Weak object cache interface
    /// </summary>
    public interface ObjectCache
    {
        bool remove(int oid);
        void  put(int oid, Object obj);
        Object get(int oid);
        void  clear();
        int size();
    }
}