//-< ConcurrentModifier.java >---------------------------------------*--------*
// GOODS                      Version 2.02       (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created:      1-Oct-98    K.A. Knizhnik  * / [] \ *
//                          Last update:  4-Nov-98    K.A. Knizhnik  * GARRET *
//-------------------------------------------------------------------*--------*
// Interface used to detect comodifications of persistent collections
//-------------------------------------------------------------------*--------*

package goodslib;

/**
 * Interface used to detect comodifications of persistent collections
 */
public interface ConcurrentModifier { 
    public int  getExpectedModCount();    
    public void setExpectedModCount(int modCount);
}
